from Ft.Xml.XPath import ParsedExpr
from Ft.Lib import boolean, number
#from Ft.Xml import Domlette
from Ft.Xml.Domlette import NonvalidatingReader

class DummyBooleanExpr:
    def __init__(self,val):
        self.val = val and boolean.true or boolean.false

    def evaluate(self,context):
        return self.val

    def __repr__(self):
        return str(self.val)

class DummyNumberExpr:
    def __init__(self,val):
        self.val = val

    def evaluate(self,context):
        return self.val

    def __repr__(self):
        return str(self.val)

class DummyNodeSetExpr:
    def __init__(self, val=None):
        self.val = val

    def evaluate(self,context):
        return self.val

    def select(self,context):
        return self.val

    def __repr__(self):
        return '<%d-item nodeset>' % len(self.val)

class DummyStringExpr:
    def __init__(self, val=None):
        self.val = (val is None) and 'DummyString' or val

    def evaluate(self,context):
        return self.val

    def __repr__(self):
        return repr(self.val)


boolT = DummyBooleanExpr(1)
boolF = DummyBooleanExpr(0)
    
num1 = DummyNumberExpr(1)
num3 = DummyNumberExpr(3)
numN4 = DummyNumberExpr(-4)
num4p5 = DummyNumberExpr(4.5)
numNan = DummyNumberExpr(number.nan)
numInf = DummyNumberExpr(number.inf)

strPi = DummyStringExpr('3.14')
strText = DummyStringExpr('Hi')
strPiText = DummyStringExpr('3.14Hi')
strSpace = DummyStringExpr('Ht    \t There\t   Mike')
strHelloWorld = DummyStringExpr('hello world')
STR_EGG1 = DummyStringExpr('egg1')
STR_EGG2 = DummyStringExpr('egg2')

DOC = "<spam><egg1>egg1</egg1><egg2>egg2</egg2></spam>"
doc = NonvalidatingReader.parseString(DOC, 'http://foo/test/spam.xml')
node1 = doc.documentElement.firstChild
node2 = node1.nextSibling

EMPTY_NODE_SET = DummyNodeSetExpr([])
ONE_NODE_SET = DummyNodeSetExpr([node1])
TWO_NODE_SET = DummyNodeSetExpr([node1, node2])

